Subject: Re: bug#50424: 27.2; Tab bar button mouse face not clearing entirely

From: Po Lu <[email-masked]>
Date: Tue, 07 Sep 2021 21:02:43 +0800

Eli Zaretskii <[email-masked]> writes:

> I've fixed tab-bar.el to request the same margin as specified by
> tab-bar-button-margin, and I also fixed the code in w32term.c and
> xterm.c which used the corresponding tool-bar values when tab-bar
> values should have been used.  This improved the situation to some
> extent, but we still leave behind an artifact when the mouse moves off
> the tab-bar button: a 1-pixel vertical line.  I think that's because
> there's no relief definition in the image, but the value of
> tab-bar-button-relief is non-zero (and xterm.c/w32term.c use that
> non-zero value when they redraw the buttons).

Thanks.  Interestingly enough, I don't see a 1-pixel vertical line when
the highlight is cleared, but it could be an issue with my display.